incubator-blur-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Gagan Deep Juneja (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (BLUR-64) Update to use the new SuperQueryParser
Date Wed, 03 Apr 2013 15:43:20 GMT

    [ https://issues.apache.org/jira/browse/BLUR-64?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13621003#comment-13621003
] 

Gagan Deep Juneja commented on BLUR-64:
---------------------------------------

Thanks Aaron!
One more concern. There are a lot of methods we have overridden in legacy SuperParser.java
class like newRangeQuery, newTermQuery, newWildcardQuery. Which I guess is important in 0.1.5
context by looking at the definition of BlurAnalyzer class in 0.1.5 version. As BlurAnalyzer
is totally different in 0.2.
 What do you say?

Regards,
Gagan
                
> Update to use the new SuperQueryParser
> --------------------------------------
>
>                 Key: BLUR-64
>                 URL: https://issues.apache.org/jira/browse/BLUR-64
>             Project: Apache Blur
>          Issue Type: Improvement
>    Affects Versions: 0.1.5
>            Reporter: Aaron McCurry
>             Fix For: 0.1.5
>
>
> In the 0.2-dev branch and the blur-query project there is a updated SuperQueryParser
class that should be used in place of the legacy SuperQueryParser that is found in the blur-core
project.
> NOTE:  The blur-query project has already been merged into the 0.1.5 branch.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message